summaryrefslogtreecommitdiff
path: root/source3/script/installdirs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/installdirs.sh')
-rwxr-xr-xsource3/script/installdirs.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/source3/script/installdirs.sh b/source3/script/installdirs.sh
new file mode 100755
index 0000000000..062b34b8c6
--- /dev/null
+++ b/source3/script/installdirs.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+INSTALLPERMS=$1
+DESTDIR=`echo $2 | sed 's/\/\//\//g'`
+shift
+shift
+
+for dir in $@; do
+ DIRNAME=`echo $dir | sed 's/\/\//\//g'`
+ if [ ! -d $DESTDIR/$DIRNAME ]; then
+ mkdir -m $INSTALLPERMS -p $DESTDIR/$DIRNAME
+ fi
+
+ if [ ! -d $DESTDIR/$DIRNAME ]; then
+ echo "Failed to make directory $DESTDIR/$DIRNAME "
+ exit 1
+ fi
+done